
% initialization of three bars. Here we define the geometry

%  table of dielectric functions
clear;
epstab  = { epsconst( 1 ), epstable( 'AuJC_EXT.dat' ), epstable( 'AuJC_EXT.dat' ), epstable( 'AuJC_EXT.dat' ), epstable( 'AuJC_EXT.dat' ),epstable( 'AuJC_EXT.dat' ), epstable( 'AuJC_EXT.dat' ), epstable( 'AuJC_EXT.dat' ), epstable( 'AuJC_EXT.dat' ), epstable( 'AuJC_EXT.dat' )};


myp=trirod(50,400)
myp= shift(rot(myp,90,[1,0,0]),[0,0,0]);


myp2=trirod(50,400)
myp2= shift(rot(myp2,90,[0,1,0]),[212,-212,0]);



% and now we build the particle that is make of the two bars

p =  comparticle( epstab, {myp,myp2 }, [ 2,1;3,1],1);

p = closed( p,  2);

%p = shift(p,[-50,0,0]);


axes; plot(p,'EdgeColor','b'); axis equal; view(2); axis tight; axis equal; 
title('BEM 9 trirod');%for documentation
xlabel('x (nm)'), ylabel('y (nm'); zlabel('z(nm');
drawnow;





